import request from '@/utils/request'

// 查询会员坐标记录列表
export function listLocation(query) {
  return request({
    url: '/management/location/list',
    method: 'get',
    params: query
  })
}

// 查询会员坐标记录详细
export function getLocation(memberLocationId) {
  return request({
    url: '/management/location/' + memberLocationId,
    method: 'get'
  })
}

// 新增会员坐标记录
export function addLocation(data) {
  return request({
    url: '/management/location',
    method: 'post',
    data: data
  })
}

// 修改会员坐标记录
export function updateLocation(data) {
  return request({
    url: '/management/location',
    method: 'put',
    data: data
  })
}

// 删除会员坐标记录
export function delLocation(memberLocationId) {
  return request({
    url: '/management/location/' + memberLocationId,
    method: 'delete'
  })
}

// 导出会员坐标记录
export function exportLocation(query) {
  return request({
    url: '/management/location/export',
    method: 'get',
    params: query
  })
}